org.apache.nutch.tools

## Interface CommonCrawlFormat

- All Superinterfaces:
    AutoCloseable, Closeable
  All Known Implementing Classes:
    AbstractCommonCrawlFormat, CommonCrawlFormatJackson, CommonCrawlFormatJettinson, CommonCrawlFormatSimple, CommonCrawlFormatWARC

      public interface CommonCrawlFormat
      extends Closeable

  Interface for all CommonCrawl formatter. It provides the signature for the method used to get JSON data.
  Author:
    gtotaro

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Optional method that could be implemented if the actual format needs some close procedure.
    `List<String>` | `getInLinks()` gets set of inlinks
    `String` | `getJsonData()`
    `String` | `getJsonData(String url, Content content, Metadata metadata)` Returns a string representation of the JSON structure of the URL content
    `String` | `getJsonData(String url, Content content, Metadata metadata, ParseData parseData)` Returns a string representation of the JSON structure of the URL content takes into account the parsed metadata about the URL
    `void` | `setInLinks(List<String> inLinks)` sets inlinks of this document

- - ### Method Detail

    - #### getJsonData

          String getJsonData()
                      throws IOException

      Throws:
        `IOException`

    - #### getJsonData

          String getJsonData(String url,
                             Content content,
                             Metadata metadata)
                      throws IOException

      Returns a string representation of the JSON structure of the URL content
      Parameters:
        `url` -
        `content` -
        `metadata` -
      Returns:
      Throws:
        `IOException`

    - #### getJsonData

          String getJsonData(String url,
                             Content content,
                             Metadata metadata,
                             ParseData parseData)
                      throws IOException

      Returns a string representation of the JSON structure of the URL content takes into account the parsed metadata about the URL
      Parameters:
        `url` -
        `content` -
        `metadata` -
      Returns:
      Throws:
        `IOException`

    - #### setInLinks

          void setInLinks(List<String> inLinks)

      sets inlinks of this document
      Parameters:
        `inLinks` - list of inlinks

    - #### getInLinks

          List<String> getInLinks()

      gets set of inlinks
      Returns:
        gets inlinks of this document

    - #### close

          void close()

      Optional method that could be implemented if the actual format needs some close procedure.
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Closeable`

Copyright © 2020 The Apache Software Foundation